summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeffrey Walton <noloader@gmail.com>2022-08-23 16:32:31 -0400
committerJeffrey Walton <noloader@gmail.com>2022-08-23 16:32:31 -0400
commit84063b0070662f47c91158e9192ba3aa8a7da7ab (patch)
tree87f38d343bb983d8456f9d9de598b2a4bbf551d0
parent01a18bdbcb221120beffc6579f549e32490067c5 (diff)
downloadcryptopp-git-84063b0070662f47c91158e9192ba3aa8a7da7ab.tar.gz
Remove cryptest-cmake.sh
CMake is now maintained by Abdessattar Sassi. The directory layout of the files changed and cryptest-cmake.sh no longer works as expected. Also see https://groups.google.com/g/cryptopp-users/c/9oDbTm8qWps.
-rw-r--r--.github/issue_template.md6
-rw-r--r--.travis.yml40
-rw-r--r--GNUmakefile7
-rw-r--r--GNUmakefile-cross7
-rw-r--r--Install.txt2
-rwxr-xr-xTestScripts/cryptest-cmake.sh100
6 files changed, 7 insertions, 155 deletions
diff --git a/.github/issue_template.md b/.github/issue_template.md
index c6ee9f9e..af15781d 100644
--- a/.github/issue_template.md
+++ b/.github/issue_template.md
@@ -4,13 +4,15 @@ Thanks for taking the time to report an issue. Reporting issues helps us improve
Please do not ask questions in the bug tracker. Please ask questions on the Crypto++ Users List at http://groups.google.com/forum/#!forum/cryptopp-users.
-Please _do not_ ask questions at Stack Overflow. We may not be able to answer your question.
+Please do not ask questions about unsupported build systems, like Autotools, CMake, Conan and NuGet. They are other people's projects. We don't know anything about them.
+
+Please do not ask questions at Stack Overflow. We do not patrol Stack Overflow. We will not be able to answer your question.
There is a wiki page with information on filing useful bug reports. If you have some time please visit http://www.cryptopp.com/wiki/Bug_Report on the wiki. The executive summary is:
* State the operating system and version (Ubutnu 17 x86_64, Windows 7 Professional x64, etc)
* State the version of the Crypto++ library (Crypto++ 7.0, Master, etc)
-* State how you built the library (Makefile, Cmake, distro, etc)
+* State how you built the library (Visual Studio, Makefile, distro provided, etc)
* Show a typical command line (the output of the compiler for cryptlib.cpp)
* Show the link command (the output of the linker for libcryptopp.so or cryptest.exe)
* Show the exact error message you are receiving (copy and paste it); or
diff --git a/.travis.yml b/.travis.yml
index fb5fc54c..e5a7b99d 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -81,13 +81,6 @@ jobs:
env:
- BUILD_OS=linux
- BUILD_MODE=autotools
- - name: CMake build, GCC, Linux, amd64
- os: linux
- arch: amd64
- compiler: gcc
- env:
- - BUILD_OS=linux
- - BUILD_MODE=cmake
- name: Standard build, Clang, Linux, amd64
os: linux
arch: amd64
@@ -144,13 +137,6 @@ jobs:
env:
- BUILD_OS=linux
- BUILD_MODE=autotools
- - name: CMake build, Clang, Linux, amd64
- os: linux
- arch: amd64
- compiler: clang
- env:
- - BUILD_OS=linux
- - BUILD_MODE=cmake
- name: Standard build, Clang, OS X, amd64
os: osx
osx_image: xcode10.1
@@ -242,14 +228,6 @@ jobs:
env:
- BUILD_OS=osx
- BUILD_MODE=autotools
- - name: CMake build, Clang, OS X, amd64
- os: osx
- osx_image: xcode10.1
- arch: amd64
- compiler: clang
- env:
- - BUILD_OS=osx
- - BUILD_MODE=cmake
- name: Standard build, GCC, Linux, arm64
os: linux
arch: arm64
@@ -314,14 +292,6 @@ jobs:
env:
- BUILD_OS=linux
- BUILD_MODE=autotools
- - name: CMake build, GCC, Linux, arm64
- os: linux
- arch: arm64
- compiler: gcc
- dist: bionic
- env:
- - BUILD_OS=linux
- - BUILD_MODE=cmake
- name: Standard build, Clang, Linux, arm64
os: linux
arch: arm64
@@ -386,14 +356,6 @@ jobs:
env:
- BUILD_OS=linux
- BUILD_MODE=autotools
- - name: CMake build, Clang, Linux, arm64
- os: linux
- arch: arm64
- compiler: clang
- dist: bionic
- env:
- - BUILD_OS=linux
- - BUILD_MODE=cmake
- name: Standard build, GCC, Linux, ppc64le
os: linux
arch: ppc64le
@@ -621,8 +583,6 @@ script:
make -f GNUmakefile-cross -j 2 all static dynamic
elif [[ "$BUILD_MODE" == "autotools" ]]; then
bash TestScripts/cryptest-autotools.sh
- elif [[ "$BUILD_MODE" == "cmake" ]]; then
- bash TestScripts/cryptest-cmake.sh
elif [[ "$BUILD_MODE" == "pem" ]]; then
bash TestScripts/cryptest-pem.sh
elif [[ "$BUILD_MODE" == "osx-fat" ]]; then
diff --git a/GNUmakefile b/GNUmakefile
index 4252d226..0f849fc6 100644
--- a/GNUmakefile
+++ b/GNUmakefile
@@ -1390,18 +1390,13 @@ autotools-clean:
@-$(RM) -f cryptest cryptestcwd libtool* libcryptopp.la libcryptopp.pc*
@-$(RM) -rf build-aux/ m4/ auto*.cache/ .deps/ .libs/
-.PHONY: cmake-clean
-cmake-clean:
- @-$(RM) -f cryptopp-config.cmake CMakeLists.txt
- @-$(RM) -rf cmake_build/
-
.PHONY: android-clean
android-clean:
@-$(RM) -f $(patsubst %_simd.cpp,%_simd.cpp.neon,$(wildcard *_simd.cpp))
@-$(RM) -rf obj/
.PHONY: distclean
-distclean: clean autotools-clean cmake-clean android-clean
+distclean: clean autotools-clean android-clean
-$(RM) adhoc.cpp adhoc.cpp.copied GNUmakefile.deps benchmarks.html cryptest.txt
-$(RM) cryptest_all.info cryptest_debug.info cryptest_noasm.info cryptest_base.info cryptest.info cryptest_release.info
@-$(RM) cryptest-*.txt cryptopp.tgz libcryptopp.pc *.o *.bc *.ii *~
diff --git a/GNUmakefile-cross b/GNUmakefile-cross
index 14171aa5..4902f9a7 100644
--- a/GNUmakefile-cross
+++ b/GNUmakefile-cross
@@ -832,18 +832,13 @@ autotools-clean:
@-$(RM) -f cryptest cryptestcwd libtool* libcryptopp.la libcryptopp.pc*
@-$(RM) -rf build-aux/ m4/ auto*.cache/ .deps/ .libs/
-.PHONY: cmake-clean
-cmake-clean:
- @-$(RM) -f cryptopp-config.cmake CMakeLists.txt
- @-$(RM) -rf cmake_build/
-
.PHONY: android-clean
android-clean:
@-$(RM) -f $(patsubst %_simd.cpp,%_simd.cpp.neon,$(wildcard *_simd.cpp))
@-$(RM) -rf obj/
.PHONY: distclean
-distclean: clean autotools-clean cmake-clean android-clean
+distclean: clean autotools-clean android-clean
-$(RM) adhoc.cpp adhoc.cpp.copied GNUmakefile.deps benchmarks.html cryptest.txt
-$(RM) cryptest_all.info cryptest_debug.info cryptest_noasm.info cryptest_base.info cryptest.info cryptest_release.info
@-$(RM) cryptest-*.txt cryptopp.tgz libcryptopp.pc *.o *.bc *.ii *~
diff --git a/Install.txt b/Install.txt
index 16e96897..e115cbae 100644
--- a/Install.txt
+++ b/Install.txt
@@ -25,7 +25,7 @@ Wiki pages are available for some platforms with specific build instructions. Th
Crypto++ does not depend upon other tools or libraries. The library only needs GNU Make 3.80 on Unix & Linux; or Visual Studio 2010 and above build tools on Windows. The library does not use Autotools, does not use CMake, and does not use Boost.
-Autotools and CMake projects are not officially supported. The build systems take too much time and effort. Unofficial projects are available at https://github.com/noloader/cryptopp-autotools and https://github.com/noloader/cryptopp-cmake. The projects provide a central location to support Autotools and CMake. Collaborators for Autotools and CMake are welcomed.
+Autotools and CMake projects are not officially supported. The build systems take too much time and effort. Unofficial projects are available at https://github.com/noloader/cryptopp-autotools and https://github.com/abdes/cryptopp-cmake. The projects provide a central location to support Autotools and CMake. Collaborators for Autotools and CMake are welcomed.
PREREQUISITES
diff --git a/TestScripts/cryptest-cmake.sh b/TestScripts/cryptest-cmake.sh
deleted file mode 100755
index 9900497b..00000000
--- a/TestScripts/cryptest-cmake.sh
+++ /dev/null
@@ -1,100 +0,0 @@
-#!/usr/bin/env bash
-
-#############################################################################
-#
-# This script tests the CMake gear.
-#
-# Written and placed in public domain by Jeffrey Walton.
-#
-# Crypto++ Library is copyrighted as a compilation and (as of version 5.6.2)
-# licensed under the Boost Software License 1.0, while the individual files
-# in the compilation are all public domain.
-#
-# See https://www.cryptopp.com/wiki/CMake for more details
-#
-#############################################################################
-
-# Fixup ancient Bash
-# https://unix.stackexchange.com/q/468579/56041
-if [[ -z "$BASH_SOURCE" ]]; then
- BASH_SOURCE="$0"
-fi
-
-# Fixup for Solaris and BSDs
-if [[ ! -z $(command -v gmake) ]]; then
- MAKE=gmake
-else
- MAKE=make
-fi
-
-# Fixup for AIX
-if [[ -z "$CMAKE" ]]; then
- CMAKE=cmake
-fi
-
-#############################################################################
-
-if [[ -z $(command -v "$CMAKE") ]]; then
- echo "Cannot find $CMAKE. Things may fail."
-fi
-
-if [[ -z $(command -v curl) ]]; then
- echo "Cannot find cURL. Things may fail."
-fi
-
-#############################################################################
-
-files=(CMakeLists.txt cryptopp-config.cmake)
-
-for file in "${files[@]}"; do
- echo "Downloading $file"
- if ! curl -L -s -o "$file" "https://raw.githubusercontent.com/noloader/cryptopp-cmake/master/$file"; then
- echo "$file download failed"
- exit 1
- fi
- # Throttle
- sleep 1
-done
-
-rm -rf "$(pwd)/cmake_build"
-mkdir -p "$(pwd)/cmake_build"
-cd "$(pwd)/cmake_build" || exit 1
-
-#############################################################################
-
-echo ""
-echo "Building test artifacts"
-echo ""
-
-if [[ -n "$CXX" ]];
-then
- if ! CXX="$CXX" "$CMAKE" -DCMAKE_CXX_COMPILER="$CXX" ../; then
- echo "cmake failed"
- exit 1
- fi
-else
- if ! "$CMAKE" ../; then
- echo "cmake failed"
- exit 1
- fi
-fi
-
-"$MAKE" clean &>/dev/null
-
-if ! "$MAKE" -j2 -f Makefile VERBOSE=1; then
- echo "make failed"
- exit 1
-fi
-
-if ! ./cryptest.exe v; then
- echo "cryptest.exe v failed"
- exit 1
-fi
-
-if ! ./cryptest.exe tv all; then
- echo "cryptest.exe v failed"
- exit 1
-fi
-
-# Return success
-exit 0